Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TPMControl

All Superinterfaces:
  com.bea.control.Control, weblogic.jws.control.Control, Serializable

public interface TPMControl
extends weblogic.jws.control.Control

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`com.bea.x2003.x03.wli.tpm.TradingPartnerDocument` | `getBasicProperties(String partnerId)` Gets the basic properties of a Trading Partner.
`com.bea.x2003.x03.wli.tpm.EbxmlBindingDocument` | `getDefaultEbxmlBinding(String partnerId, String ebxmlVersion)` Gets the default ebXML binding for a Trading Partner.
`com.bea.x2003.x03.wli.tpm.TradingPartnerDocument` | `getDefaultPartner()` Gets the default Trading Partner.
`com.bea.x2003.x03.wli.tpm.RosettanetBindingDocument` | `getDefaultRosettanetBinding(String partnerId, String rnVersion)` Gets the default Rosettanet binding for a Trading Partner.
`com.bea.x2003.x03.wli.tpm.ExtendedPropertySetDocument` | `getExtendedPropertySet(String partnerId, String propertySetName)` Gets an extended property set of a Trading Partner.
`com.bea.x2003.x03.wli.tpm.TradingPartnerDocument` | `getPartnerById(String partnerId)` Gets a Trading Partner.
`com.bea.x2003.x03.wli.tpm.TradingPartnerDocument` | `getPartnerByName(String partnerName)` Gets a Trading Partner.
`com.bea.x2003.x03.wli.tpm.ServiceDocument` | `getService(String serviceName)` Gets a Service.
`com.bea.x2003.x03.wli.tpm.ServiceProfileDocument` | `getServiceProfile(String serviceName, String toPartnerId, String fromPartnerId)` Gets a ServiceProfile.
`com.bea.x2003.x03.wli.tpm.EbxmlBindingDocument` | `getServiceProfileEbxmlBinding(String serviceName, String toPartnerId, String fromPartnerId, boolean toPartnerBinding)` Gets the EbxmlBinding of a ServiceProfile.
`com.bea.x2003.x03.wli.tpm.RosettanetBindingDocument` | `getServiceProfileRosettanetBinding(String serviceName, String toPartnerId, String fromPartnerId, boolean toPartnerBinding)` Gets the RosettanetBinding of a ServiceProfile.
`com.bea.x2003.x03.wli.tpm.WebServiceBindingDocument` | `getServiceProfileWebServiceBinding(String serviceName, String toPartnerId, String fromPartnerId, boolean toPartnerBinding)` Gets the WebServiceBinding of a ServiceProfile.

Method Detail

### getDefaultPartner

    public com.bea.x2003.x03.wli.tpm.TradingPartnerDocument getDefaultPartner()
                                                                       throws TPMControlException

  Gets the default Trading Partner.

  Returns:
    TradingPartnerDocument XBean encapsulating the XML fragment conforming to the TradingPartner schema in TPM
  Throws:
    `TPMControlException`

### getDefaultEbxmlBinding

    public com.bea.x2003.x03.wli.tpm.EbxmlBindingDocument getDefaultEbxmlBinding(String partnerId,
                                                                                 String ebxmlVersion)
                                                                          throws TPMControlException

  Gets the default ebXML binding for a Trading Partner.

  Returns:
    EbxmlBindingDocument XBean encapsulating the XML fragment conforming to the EbxmlBinding schema in TPM
  Throws:
    `TPMControlException`

### getDefaultRosettanetBinding

    public com.bea.x2003.x03.wli.tpm.RosettanetBindingDocument getDefaultRosettanetBinding(String partnerId,
                                                                                           String rnVersion)
                                                                                    throws TPMControlException

  Gets the default Rosettanet binding for a Trading Partner.

  Returns:
    RosettanetBindingDocument XBean encapsulating the XML fragment conforming to the RosettanetBinding schema in TPM
  Throws:
    `TPMControlException`

### getPartnerById

    public com.bea.x2003.x03.wli.tpm.TradingPartnerDocument getPartnerById(String partnerId)
                                                                    throws TPMControlException

  Gets a Trading Partner.

  Returns:
    TradingPartnerDocument XBean encapsulating the XML fragment conforming to the TradingPartner schema in TPM
  Throws:
    `TPMControlException`

### getPartnerByName

    public com.bea.x2003.x03.wli.tpm.TradingPartnerDocument getPartnerByName(String partnerName)
                                                                      throws TPMControlException

  Gets a Trading Partner.

  Returns:
    TradingPartnerDocument XBean encapsulating the XML fragment conforming to the TradingPartner schema in TPM
  Throws:
    `TPMControlException`

### getBasicProperties

    public com.bea.x2003.x03.wli.tpm.TradingPartnerDocument getBasicProperties(String partnerId)
                                                                        throws TPMControlException

  Gets the basic properties of a Trading Partner.

  Returns:
    TradingPartnerDocument XBean encapsulating the attributes of the TradingPartner schema in TPM
  Throws:
    `TPMControlException`

### getExtendedPropertySet

    public com.bea.x2003.x03.wli.tpm.ExtendedPropertySetDocument getExtendedPropertySet(String partnerId,
                                                                                        String propertySetName)
                                                                                 throws TPMControlException

  Gets an extended property set of a Trading Partner.

  Returns:
    ExtendedPropertySetDocument XBean encapsulating the XML fragment conforming to the ExtendedPropertySet schema in TPM
  Throws:
    `TPMControlException`

### getService

    public com.bea.x2003.x03.wli.tpm.ServiceDocument getService(String serviceName)
                                                         throws TPMControlException

  Gets a Service.

  Returns:
    ServiceDocument XBean encapsulating the XML fragment conforming to the Service schema in TPM
  Throws:
    `TPMControlException`

### getServiceProfile

    public com.bea.x2003.x03.wli.tpm.ServiceProfileDocument getServiceProfile(String serviceName,
                                                                              String toPartnerId,
                                                                              String fromPartnerId)
                                                                       throws TPMControlException

  Gets a ServiceProfile.

  Returns:
    ServiceProfileDocument XBean encapsulating the XML fragment conforming to the ServiceProfile schema in TPM
  Throws:
    `TPMControlException`

### getServiceProfileEbxmlBinding

    public com.bea.x2003.x03.wli.tpm.EbxmlBindingDocument getServiceProfileEbxmlBinding(String serviceName,
                                                                                        String toPartnerId,
                                                                                        String fromPartnerId,
                                                                                        boolean toPartnerBinding)
                                                                                 throws TPMControlException

  Gets the EbxmlBinding of a ServiceProfile.

  Returns:
    EbxmlBindingDocument XBean encapsulating the XML fragment conforming to the EbxmlBinding schema in TPM
  Throws:
    `TPMControlException`

### getServiceProfileRosettanetBinding

    public com.bea.x2003.x03.wli.tpm.RosettanetBindingDocument getServiceProfileRosettanetBinding(String serviceName,
                                                                                                  String toPartnerId,
                                                                                                  String fromPartnerId,
                                                                                                  boolean toPartnerBinding)
                                                                                           throws TPMControlException

  Gets the RosettanetBinding of a ServiceProfile.

  Returns:
    RosettanetBindingDocument XBean encapsulating the XML fragment conforming to the RosettanetBinding schema in TPM
  Throws:
    `TPMControlException`

### getServiceProfileWebServiceBinding

    public com.bea.x2003.x03.wli.tpm.WebServiceBindingDocument getServiceProfileWebServiceBinding(String serviceName,
                                                                                                  String toPartnerId,
                                                                                                  String fromPartnerId,
                                                                                                  boolean toPartnerBinding)
                                                                                           throws TPMControlException

  Gets the WebServiceBinding of a ServiceProfile.

  Returns:
    WebServiceBindingDocument XBean encapsulating the XML fragment conforming to the WebServiceBinding schema in TPM
  Throws:
    `TPMControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD